const mongoose = require('mongoose');
const {Schema} =mongoose;

const itemSchema = new Schema({
    detalle:{type:String},
    valor:{type:Number},
    tipo:{type:String, required:true}
})

const PresupuestoSchema=new Schema({
    date: {type: Date, default: Date.now},
    nombrePresupuesto: {type:String,required:true},
    datos:[itemSchema],
    user:{type:String, required:true},
    child:itemSchema
   
        
});

module.exports.Presupuesto=mongoose.model('presupuestoMes',PresupuestoSchema);
module.exports.itemPresupuesto=mongoose.model('itemPresupuestoMensual',itemSchema);